umbrello 2.39.2 Umbrello UML Modeller is a Unified Modelling Language (UML) diagram program based on KDE Technology

- Main Page
- Related Pages
- Topics
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

Enumerations | Functions
Uml::Changeability Namespace Reference

## Enumerations
enum | Enum { Changeable = 900 , Frozen , AddOnly }

## Functions
QString | toString (Enum item)
Enum | fromString (const QString &item)
Enum | fromInt (int item)

## Detailed Description

Changeability types.

## Enumeration Type Documentation

## ◆ Enum

enum Uml::Changeability::Enum

Enumerator
Changeable |
Frozen |
AddOnly |

## Function Documentation

## ◆ fromInt()

Enum Uml::Changeability::fromInt | ( | int | item | ) |

Convert an integer item into Changeability representation.

Parameters

  item | integer value to convert

Returns
  Changeability enum

## ◆ fromString()

Enum Uml::Changeability::fromString | ( | const QString & | item | ) |

Return Changeability::Enum corresponding to the given string.

## ◆ toString()

QString Uml::Changeability::toString | ( | Enum | item | ) |

Convert Changeability::Enum value into QString representation.

Parameters

  item | The Changeability enum value to convert.